MissingResourceException (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util
Class MissingResourceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.util.MissingResourceException

    @TransactionType(value=NOT_SUPPORTED)
    public class MissingResourceException

extends RuntimeException

Signals that a resource is missing.

Direct instances of this exception class are not bound to any context and can be passed between contexts without any restrictions. Objects created and returned by the methods of this class are owned by the caller. In particular, a call to the `Throwable.getMessage()` returns a String instance bound to the owner context of the caller.

See Runtime Environment Specification for the Java Card Platform, Connected Edition, chapter 7 for details regarding transfer of ownership.

Since:
  JDK1.1,CDC 1.1, Java Card 3.0
See Also:
  `Exception`, `ResourceBundle`

Constructor Summary
`MissingResourceException(String s, String className, String key)` Constructs a MissingResourceException with the specified information.

Method Summary
`String` | `getClassName()` Gets parameter passed by constructor.
`String` | `getKey()` Gets parameter passed by constructor.

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MissingResourceException

    public MissingResourceException(String s,
                                    String className,
                                    String key)

  Constructs a MissingResourceException with the specified information. A detail message is a String that describes this particular exception.

  Parameters:
    `s` - the detail message
    `className` - the name of the resource class
    `key` - the key for the missing resource.

Method Detail

### getClassName

    public String getClassName()

  Gets parameter passed by constructor.

  Returns:
    the name of the resource class

### getKey

    public String getKey()

  Gets parameter passed by constructor.

  Returns:
    the key for the missing resource

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.